# TODO: beaker, dogpile.cache, lingua for tests
#
# Conditional build:
%bcond_without	python2 # CPython 2.x module
%bcond_without	python3 # CPython 3.x module
%bcond_without	tests	# unit tests

%define		fname	Mako
Summary:	Templating system for Python
Summary(pl.UTF-8):	System szablonów dla języka Python
Name:		python-Mako
Version:	1.1.0
Release:	3
License:	MIT
Group:		Libraries/Python
#Source0Download: https://pypi.org/simple/mako/
Source0:	https://files.pythonhosted.org/packages/source/M/Mako/Mako-%{version}.tar.gz
# Source0-md5:	6c3f2da0b74af529a4c4a537d0848bf2
URL:		https://www.makotemplates.org/
%if %{with python2}
BuildRequires:	python >= 1:2.7
BuildRequires:	python-devel >= 1:2.7
BuildRequires:	python-setuptools
%if %{with tests}
BuildRequires:	python-babel
BuildRequires:	python-markupsafe >= 0.9.2
BuildRequires:	python-mock
BuildRequires:	python-pygments >= 1.4
BuildRequires:	python-pytest >= 3.1.0
%endif
%endif
%if %{with python3}
BuildRequires:	python3 >= 1:3.4
BuildRequires:	python3-devel >= 1:3.4
BuildRequires:	python3-modules >= 1:3.4
BuildRequires:	python3-setuptools
%if %{with tests}
BuildRequires:	python3-babel
BuildRequires:	python3-markupsafe >= 0.9.2
BuildRequires:	python3-pygments >= 1.4
BuildRequires:	python3-pytest >= 3.1.0
%endif
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	python-modules >= 1:2.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Mako is a template library written in Python. It provides a familiar,
non-XML syntax which compiles into Python modules for maximum
performance.

%description -l pl.UTF-8
Mako jest biblioteką szablonów napisaną w języku Python. Zapewnia
przyjazną, nie XML-ową składnię, która jest kompilowana do modułów
Pythona dla zwiększenia wydajności.

%package -n python3-Mako
Summary:	Templating system for Python
Summary(pl.UTF-8):	System szablonów dla języka Python
Group:		Libraries/Python
Requires:	python3-modules >= 1:3.3

%description -n python3-Mako
Mako is a template library written in Python. It provides a familiar,
non-XML syntax which compiles into Python modules for maximum
performance.

%description -n python3-Mako -l pl.UTF-8
Mako jest biblioteką szablonów napisaną w języku Python. Zapewnia
przyjazną, nie XML-ową składnię, która jest kompilowana do modułów
Pythona dla zwiększenia wydajności.

%package doc
Summary:	Documentation for Python Mako module
Summary(pl.UTF-8):	Dokumentacja do modułu Pythona Mako
Group:		Documentation

%description doc
Documentation for Python Mako module.

%description doc -l pl.UTF-8
Dokumentacja do modułu Pythona Mako.

%prep
%setup -q -n Mako-%{version}

%build
%if %{with python2}
%py_build

%if %{with tests}
%{__python} -m pytest test
%endif
%endif

%if %{with python3}
%py3_build

%if %{with tests}
%{__python3} -m pytest test
%endif
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%if %{with python2}
%py_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/mako-render{,-2}

%py_postclean
%endif

%if %{with python3}
%py3_install

%{__mv} $RPM_BUILD_ROOT%{_bindir}/mako-render{,-3}
%endif

%if %{with python2}
ln -sf mako-render-2 $RPM_BUILD_ROOT%{_bindir}/mako-render
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with python2}
%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE README.rst
%attr(755,root,root) %{_bindir}/mako-render
%attr(755,root,root) %{_bindir}/mako-render-2
%{py_sitescriptdir}/mako
%{py_sitescriptdir}/Mako-%{version}-py*.egg-info
%{_examplesdir}/%{name}-%{version}
%endif

%if %{with python3}
%files -n python3-Mako
%defattr(644,root,root,755)
%doc CHANGES LICENSE README.rst
%attr(755,root,root) %{_bindir}/mako-render-3
%{py3_sitescriptdir}/mako
%{py3_sitescriptdir}/Mako-%{version}-py*.egg-info
%endif

%files doc
%defattr(644,root,root,755)
%doc doc/{_static,*.html,*.js}
%changelog
* Sat Feb 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-Mako.git;a=log;h=master

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> a061f08
- release 3 (by relup.sh)

* Sat Feb 27 2021 Jakub Bogusz <qboosh@pld-linux.org> bda5e28
- release 2

* Wed Oct 30 2019 Jakub Bogusz <qboosh@pld-linux.org> 2d3d224
- updated to 1.1.0
- removed obsolete mock patch

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 0de5158
- rebuild with python 3.8
- release 3 (by relup.sh)

* Sun Jul 01 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 655d618
- python 3.7 rebuild
- release 2 (by relup.sh)

* Sun Jun 24 2018 Jakub Bogusz <qboosh@pld-linux.org> 792a53e
- updated to 1.0.7
- run unit tests; added mock patch to avoid redundant python3-mock dependency
- added -doc subpackage; drop examples todo, they take just 44kB

* Thu Dec 29 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> e06e1a3
- python 3.6
- release 2 (by relup.sh)

* Sun Mar 20 2016 Jakub Bogusz <qboosh@pld-linux.org> e32fc0d
- updated to 1.0.4

* Sat Feb 20 2016 Jakub Bogusz <qboosh@pld-linux.org> 501694b
- replaced python3-distribute with -setuptools

* Sat Feb 20 2016 Marcin Banasiak <marcin.banasiak@gmail.com> e252456
- Update to 1.0.3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 5ca754e
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> baa4718
- release 4 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> c9fac70
- automatic change: use py_build/py_install macros

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 366929b
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 5eadb15
- python 3.5 rebuild
- release 2 (by relup.sh)

* Wed Jan 28 2015 Jakub Bogusz <qboosh@pld-linux.org> f0e377c
- updated to 1.0.1

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> f8fda25
- python 3.4
- release 2 (by relup.sh)

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> bfbcb67
- updated to 0.9.1

* Tue Sep 24 2013 Jakub Bogusz <qboosh@pld-linux.org> dfef542
- updated to 0.9.0

* Sun Jan 27 2013 Elan Ruusamäe <glen@delfi.ee> 8319a0a
- up to 0.7.3

